Perma-failing browser/base/content/test/tabs/browser_tabCloseProbes.js | Uncaught exception - Collected value should become 1. - timed out after 50 tries. when the Gecko version number is bumped to 65 on 2018-10-22

VERIFIED FIXED in Firefox 64

Status

()

defect
VERIFIED FIXED
8 months ago
2 months ago

People

(Reporter: apavel, Assigned: mconley)

Tracking

Trunk
Firefox 64
Points:
---

Firefox Tracking Flags

(geckoview62 unaffected, firefox-esr60 unaffected, firefox62 unaffected, firefox63 unaffected, firefox64+ verified)

Details

Attachments

(2 attachments, 1 obsolete attachment)

(Reporter)

Description

8 months ago
[Tracking Requested - why for this release]:

Central as Beta simulation

Treeherder link: https://treeherder.mozilla.org/#/jobs?repo=try&revision=701dd8f52ed8236eb93a1bf297ef81997a391170&selectedJob=197614461

Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=197614461&repo=try&lineNumber=10418

[task 2018-09-05T14:32:09.978Z] 14:32:09     INFO - GECKO(2453) | --DOMWINDOW == 6 (0xe9d0fc00) [pid = 2991] [serial = 7] [outer = (nil)] [url = about:newtab]
[task 2018-09-05T14:32:10.382Z] 14:32:10     INFO - GECKO(2453) | --DOCSHELL 0xe798dc00 == 1 [pid = 2991] [id = {595985bd-fba6-4a8b-8d78-f9005bebb701}]
[task 2018-09-05T14:32:10.383Z] 14:32:10     INFO - GECKO(2453) | --DOMWINDOW == 5 (0xe7e99040) [pid = 2991] [serial = 49] [outer = (nil)] [url = about:newtab]
[task 2018-09-05T14:32:11.270Z] 14:32:11     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-05T14:32:11.272Z] 14:32:11     INFO - Buffered messages logged at 14:32:04
[task 2018-09-05T14:32:11.274Z] 14:32:11     INFO - Entering test bound setup
[task 2018-09-05T14:32:11.275Z] 14:32:11     INFO - Leaving test bound setup
[task 2018-09-05T14:32:11.277Z] 14:32:11     INFO - Entering test bound test_close_time_anim_probe
[task 2018-09-05T14:32:11.282Z] 14:32:11     INFO - Buffered messages finished
[task 2018-09-05T14:32:11.283Z] 14:32:11     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/tabs/browser_tabCloseProbes.js | Uncaught exception - Collected value should become 1. - timed out after 50 tries.
[task 2018-09-05T14:32:11.285Z] 14:32:11     INFO - Leaving test bound test_close_time_anim_probe
[task 2018-09-05T14:32:11.286Z] 14:32:11     INFO - Entering test bound test_close_time_no_anim_probe
[task 2018-09-05T14:32:11.288Z] 14:32:11     INFO - GECKO(2453) | ++DOCSHELL 0xe68aec00 == 2 [pid = 2534] [id = {729bd758-7e5b-4fc5-af35-eb9b8f18a36b}]
[task 2018-09-05T14:32:11.292Z] 14:32:11     INFO - GECKO(2453) | ++DOMWINDOW == 5 (0xe6468280) [pid = 2534] [serial = 188] [outer = (nil)]
[task 2018-09-05T14:32:11.350Z] 14:32:11     INFO - GECKO(2453) | ++DOMWINDOW == 6 (0xe68b2000) [pid = 2534] [serial = 189] [outer = 0xe6468280]
[task 2018-09-05T14:32:11.391Z] 14:32:11     INFO - GECKO(2453) | ++DOMWINDOW == 7 (0xe68b3800) [pid = 2534] [serial = 190] [outer = 0xe6468280]
[task 2018-09-05T14:32:11.550Z] 14:32:11     INFO - GECKO(2453) | --DOMWINDOW == 3 (0xe4e1e700) [pid = 2585] [serial = 254] [outer = (nil)] [url = about:blank]
[task 2018-09-05T14:32:11.550Z] 14:32:11     INFO - GECKO(2453) | --DOCSHELL 0xe4907800 == 1 [pid = 2585] [id = {667d00a1-8a74-4df5-b3b5-171a0c7acc58}]
[task 2018-09-05T14:32:12.337Z] 14:32:12     INFO - GECKO(2453) | --DOMWINDOW == 6 (0xe68b3000) [pid = 2534] [serial = 186] [outer = (nil)] [url = about:blank]
[task 2018-09-05T14:32:12.338Z] 14:32:12     INFO - GECKO(2453) | --DOMWINDOW == 5 (0xe68b0000) [pid = 2534] [serial = 184] [outer = (nil)] [url = about:blank]
[task 2018-09-05T14:32:12.399Z] 14:32:12     INFO - GECKO(2453) | --DOMWINDOW == 4 (0xe64684c0) [pid = 2534] [serial = 185] [outer = (nil)] [url = about:blank]
[task 2018-09-05T14:32:12.400Z] 14:32:12     INFO - GECKO(2453) | --DOMWINDOW == 3 (0xe6468280) [pid = 2534] [serial = 188] [outer = (nil)] [url = about:blank]
Flags: needinfo?(mconley)
(Reporter)

Updated

8 months ago
Summary: Perma-failing browser/base/content/test/tabs/browser_tabCloseProbes.js | Uncaught exception - Collected value should become 1. - timed out after 50 tries. browser/base/content/test/tabs/browser_tabCloseProbes.js | Uncaught exception - Collected value shou → Perma-failing browser/base/content/test/tabs/browser_tabCloseProbes.js | Uncaught exception - Collected value should become 1. - timed out after 50 tries. when Gecko 64 merges to beta on 2018-10-22
(Reporter)

Updated

8 months ago
Summary: Perma-failing browser/base/content/test/tabs/browser_tabCloseProbes.js | Uncaught exception - Collected value should become 1. - timed out after 50 tries. when Gecko 64 merges to beta on 2018-10-22 → Perma-failing browser/base/content/test/tabs/browser_tabCloseProbes.js | Uncaught exception - Collected value should become 1. - timed out after 50 tries. when Gecko 64 merges to beta on 2018-10-15
Summary: Perma-failing browser/base/content/test/tabs/browser_tabCloseProbes.js | Uncaught exception - Collected value should become 1. - timed out after 50 tries. when Gecko 64 merges to beta on 2018-10-15 → Perma-failing browser/base/content/test/tabs/browser_tabCloseProbes.js | Uncaught exception - Collected value should become 1. - timed out after 50 tries. when the Gecko version number is bumped to 65 on 2018-10-22
(Assignee)

Updated

8 months ago
Assignee: nobody → mconley
Flags: needinfo?(mconley)
(Assignee)

Comment 2

8 months ago
ni?ing myself to set a ni? on liuche when she's back from PTO.
Flags: needinfo?(mconley)
(Assignee)

Comment 3

8 months ago
Hi, liuche! When you get a second, can I get a data-review on these probe extensions? They measure tab close performance information, and are set to expire in 65.

Comment 4

8 months ago
Comment on attachment 9006975 [details]
Bug 1488952 - Bump tab close Telemetry probe expiries. data-review=liuche, r?Gijs

:Gijs (he/him) has approved the revision.
Attachment #9006975 - Flags: review+
(Assignee)

Comment 5

8 months ago
Posted file data-review-form (obsolete) —
Flags: needinfo?(mconley)
(Assignee)

Updated

8 months ago
Flags: needinfo?(mconley)
(Assignee)

Updated

8 months ago
Attachment #9006990 - Attachment is obsolete: true
Flags: needinfo?(mconley)
(Assignee)

Comment 6

8 months ago
Posted file data-review-form
Flags: needinfo?(mconley)
(Assignee)

Comment 7

8 months ago
Comment on attachment 9007237 [details]
data-review-form

Instead of waiting for liuche to come back, I'll just redirect the data review request to chutten.
Flags: needinfo?(mconley)
Attachment #9007237 - Flags: review?(chutten)

Comment 8

8 months ago
Comment on attachment 9007237 [details]
data-review-form

DATA COLLECTION REVIEW RESPONSE:

    Is there or will there be documentation that describes the schema for the ultimate data set available publicly, complete and accurate?

Standard Telemetry mechanisms apply.

    Is there a control mechanism that allows the user to turn the data collection on and off?

Standard Telemetry mechanisms apply.

    If the request is for permanent data collection, is there someone who will monitor the data over time?

Yes, mconley and jdolske

    Using the category system of data types on the Mozilla wiki, what collection type of data do the requested measurements fall under? **

Category 2, because the sample counts can be used to discern user interaction information (number of closed tabs)

    Is the data collection request for default-on or default-off?

Default on.

    Does the instrumentation include the addition of any new identifiers (whether anonymous or otherwise; e.g., username, random IDs, etc. See the appendix for more details)?

No.

    Is the data collection covered by the existing Firefox privacy notice? 

Yes.

    Does there need to be a check-in in the future to determine whether to renew the data?

For FX_TAB_CLOSE_TIME_NO_ANIM_MS and FX_TAB_CLOSE_PERMIT_UNLOAD_TIME_MS :mconley is responsible for removing or renewing them before they expire.

---
Result: datareview+
Attachment #9007237 - Flags: review?(chutten) → review+
(Assignee)

Comment 9

8 months ago
Shoot, I never updated the commit message! That should be data-review=chutten. Sorry!

Comment 10

8 months ago
Pushed by mconley@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/417fae8385d6
Bump tab close Telemetry probe expiries. data-review=liuche, r=Gijs

Comment 11

7 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/417fae8385d6
Status: NEW → RESOLVED
Last Resolved: 7 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 64
You need to log in before you can comment on or make changes to this bug.